StatisticTest Class Reference

Abstract base class for statistic tests. More...

`#include <StatisticTest.h>`

Inheritance diagram for StatisticTest:

## Public Types

enum | Tail { Left = 0, Right = 1, Both = 2 }
enum | TestType { StudentTest = 0, NormalityTest = 1, ChiSquareTest = 2, AnovaTest = 3 }

## Public Member Functions

virtual double | lcl (double)
| Lower Confidence Limit. More...
virtual QString | logInfo ()
virtual void | outputResultsTo (Table *)
virtual double | pValue ()
virtual Table * | resultTable (const QString &name=QString())
| Returns a pointer to the table created to display the results. More...
void | setSignificanceLevel (double s)
void | setTail (const Tail &tail)
void | setTestValue (double val)
void | showDescriptiveStatistics (bool show=true)
virtual double | statistic ()
| StatisticTest (ApplicationWindow *parent, double testValue=0.0, double level=0.05, const QString &sample=QString())
virtual double | ucl (double)
| Upper Confidence Limit. More...
Public Member Functions inherited from Statistics
double * | data ()
| Returns the y values of the input data set. More...
unsigned int | dataSize ()
| Returns the size of the input data set. More...
virtual int | dof ()
| Returns the degrees of freedom. More...
QString | logInfo (bool header=true)
double | mean ()
virtual bool | run ()
| Actually does the job. Should be reimplemented in derived classes. More...
QString | sampleName ()
bool | setData (const QString &)
void | showResultsLog (bool show=true)
double | standardDeviation ()
double | standardError ()
| Statistics (ApplicationWindow *parent, const QString &name=QString())
double | variance ()
| ~Statistics ()

## Protected Attributes

bool | d_descriptive_statistics
double | d_significance_level
int | d_tail
double | d_test_val
Protected Attributes inherited from Statistics
QString | d_col_name
| The name of the source data set. More...
double * | d_data
| y data set to be analysed More...
double | d_mean
unsigned int | d_n
| The size of the data set to be analyzed. More...
bool | d_result_log
| Flag specifying if the results should be displayed in the results log. More...
double | d_sd
double | d_se
Table * | d_table
| A table source of data. More...
double | d_variance

## Additional Inherited Members

Protected Member Functions inherited from Statistics
virtual void | freeMemory ()
| Frees the memory allocated for the X and Y data sets. More...
void | memoryErrorMessage ()

## Detailed Description

Abstract base class for statistic tests.

## Member Enumeration Documentation

enum StatisticTest::Tail

Enumerator
Left |
Right |
Both |

enum StatisticTest::TestType

Enumerator
StudentTest |
NormalityTest |
ChiSquareTest |
AnovaTest |

## Constructor & Destructor Documentation

StatisticTest::StatisticTest | ( | ApplicationWindow * | parent,
|  | double | testValue = `0.0`,
|  | double | level = `0.05`,
|  | const QString & | sample = `QString()`
| ) |  |

## Member Function Documentation

virtual double StatisticTest::lcl | ( | double |  | ) |

inline virtual

Lower Confidence Limit.

Reimplemented in tTest, and ChiSquareTest.

virtual QString StatisticTest::logInfo | ( |  | ) |

inline virtual

Reimplemented in Anova, tTest, ShapiroWilkTest, and ChiSquareTest.

References Statistics::logInfo().

void StatisticTest::outputResultsTo | ( | Table * | t | ) |

virtual

Reimplemented in Anova.

References Statistics::d_mean, Statistics::d_n, Statistics::d_sd, Statistics::d_se, Statistics::d_variance, Statistics::dof(), Table::numCols(), Table::numRows(), pValue(), Statistics::sampleName(), Table::setCell(), Table::setColumnType(), Table::setNumCols(), Table::setNumRows(), Table::setText(), statistic(), Table::table(), and Table::Text.

Referenced by StudentTestDialog::outputResults(), and AnovaDialog::outputResults().

virtual double StatisticTest::pValue | ( |  | ) |

inline virtual

Reimplemented in Anova, tTest, ChiSquareTest, and ShapiroWilkTest.

Referenced by outputResultsTo(), and resultTable().

Table * StatisticTest::resultTable | ( | const QString & | name = `QString()` | ) |

virtual

Returns a pointer to the table created to display the results.

Reimplemented in Anova.

References Statistics::d_mean, Statistics::d_n, Statistics::d_sd, Statistics::d_se, Statistics::d_variance, Statistics::dof(), ApplicationWindow::newTable(), Table::numCols(), pValue(), Statistics::sampleName(), Table::setCell(), Table::setColumnType(), Table::setHeader(), Table::setText(), statistic(), Table::table(), and Table::Text.

Referenced by StudentTestDialog::outputResults(), and AnovaDialog::outputResults().

void StatisticTest::setSignificanceLevel | ( | double | s | ) |

inline

References d_significance_level.

Referenced by AnovaDialog::acceptNormalityTest().

void StatisticTest::setTail | ( | const Tail & | tail | ) |

inline

References d_tail.

void StatisticTest::setTestValue | ( | double | val | ) |

inline

References d_test_val.

void StatisticTest::showDescriptiveStatistics | ( | bool | show = `true` | ) |

inline

References d_descriptive_statistics.

virtual double StatisticTest::statistic | ( |  | ) |

inline virtual

Reimplemented in Anova, tTest, ChiSquareTest, and ShapiroWilkTest.

Referenced by outputResultsTo(), and resultTable().

virtual double StatisticTest::ucl | ( | double |  | ) |

inline virtual

Upper Confidence Limit.

Reimplemented in tTest, and ChiSquareTest.

## Member Data Documentation

bool StatisticTest::d_descriptive_statistics

protected

Referenced by ChiSquareTest::logInfo(), tTest::logInfo(), Anova::logInfo(), and showDescriptiveStatistics().

double StatisticTest::d_significance_level

protected

Referenced by ShapiroWilkTest::infoString(), ChiSquareTest::logInfo(), tTest::logInfo(), Anova::logInfo(), and setSignificanceLevel().

int StatisticTest::d_tail

protected

Referenced by ChiSquareTest::logInfo(), tTest::logInfo(), tTest::power(), ChiSquareTest::pValue(), tTest::pValue(), and setTail().

double StatisticTest::d_test_val

protected

Referenced by ChiSquareTest::chiSquare(), ChiSquareTest::logInfo(), tTest::logInfo(), setTestValue(), and tTest::t().

The documentation for this class was generated from the following files:

- qtiplot/src/analysis/StatisticTest.h
- qtiplot/src/analysis/StatisticTest.cpp